﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls
@using System;
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;

@model Toyota.Common.Web.MVC.ModelHolder
           
@{Layout = "~/Views/Layout/Dashboard.cshtml";}

@*Lavi Budiawan 2012.11.16*@


@section Script{
    $(document).ready(function(){
        DetailForecastDataGrid.Refresh();
    });
}

<div>

@*Detail Forecast Header*@
    <div style = "border:1px solid #BABABA; width:1018px">

        <table>
            <tr>
                <td style = "width : 120px">
                    @Html.Label("Supplier Name")
                </td>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    settings =>
                                    {
                                        settings.Name = "SupplierName";
                                        settings.Text = "NUSA TOYOTETSU CORP.";
                                        settings.Width = new System.Web.UI.WebControls.Unit(160);
                                        settings.Enabled = false;                                        
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                        settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                    }).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>
            </tr>
        </table>

        <table>
            <tr>
                <td style = "width : 120px">
                    @Html.Label("Month")
                </td>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    @Html.DevExpress().TextBox(
                                    settings =>
                                    {
                                        settings.Name = "ViewMonth";
                                        settings.Text = "December 2012";
                                        settings.Width = new System.Web.UI.WebControls.Unit(160);
                                        settings.Enabled = false;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                        settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                    }).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </td>
            </tr>
        </table>

@*Detail Forecast Body*@
        <table>
            <tr>
                <td>
                    @Html.Partial("DetailForecastDataGrid", Model)
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td align = right>
                        <div id="UserAction">
                            @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.ControlStyle.CssClass = "DisplayButtonFloatRight";
                                    settings.Name = "btnBack";
                                    settings.Text = "Back";
                                    settings.Width = 1000;
                                    settings.UseSubmitBehavior = true;
                                }
                            ).GetHtml()
                        </div>
                    </td>
            </tr>
          </table>

    </div>

</div>